#!/bin/sh
# Mac OS script to rebuild all samples from the command line

if [ -z "$ANT_HOME" ] || [ ! -f "${ANT_HOME}"/bin/ant ]
then
   echo BUILD FAILED: You must set the environment variable ANT_HOME to your Apache Ant folder
   exit 1
fi

if [ -z "$FLEX_HOME" ] || [ ! -f "$FLEX_HOME"/bin/mxmlc ]
then
   echo BUILD FAILED: You must set the environment variable FLEX_HOME to your Flex SDK folder,
   echo for instance: FLEX_HOME=\'/Applications/Adobe Flash Builder 4.7/sdks/4.6.0\'
   exit 1
fi

if [ -z "$VSPHERE_SDK_HOME" ] || [ ! -f "${VSPHERE_SDK_HOME}"/libs/vsphere-client-lib.swc ]
then
   echo BUILD FAILED: You must set the environment variable VSPHERE_SDK_HOME to your vSphere Web Client SDK folder
   exit 1
fi

"${ANT_HOME}"/bin/ant -f build-all.xml

echo.
echo "Note: if Ant runs out of memory set ANT_OPTS=-Xms768m -Xmx1024m -XX:MaxPermSize=256m"

