/** Copyright 2012 VMware, Inc. All rights reserved. -- VMware Confidential */

package com.vmware.samples.test.chassisRack.mock;

import com.vmware.vise.data.query.DataService;
import com.vmware.vise.data.query.ResultItem;
import com.vmware.vise.data.query.ResultSet;
import com.vmware.vise.data.query.RequestSpec;
import com.vmware.vise.data.query.Response;

public class MockDataService implements DataService {

   ResultItem[] _items = null;

   public MockDataService(int hostCount) {
      _items = new ResultItem[hostCount];
      String namePrefix = "host-";
      for (int index = 0; index < hostCount; index++) {
         Host host = new Host();
         host.name = namePrefix + index;
         ResultItem item = new ResultItem();
         item.resourceObject = host;
         _items[index] = item;
      }
   }

   @Override
   public Response getData(RequestSpec request) {
      Response results = new Response();
      results.resultSet = new ResultSet[1];
      results.resultSet[0] = new ResultSet();
      results.resultSet[0].items = _items;
      results.resultSet[0].totalMatchedObjectCount = _items.length;
      return results;
   }

   public static class Host {
      public String name;

      @Override
      public String toString() {
         return name;
      }
   }
}
